! SAMPLE PROGRAM
! Use QVS terminal concentrator special functionality to determine
! if this 286 is running under the concentrator and if so then
! use the special hard totals writes to write data to the rpam
! client application.
!
%ENVIRON T
! *******************  Local Variables  **************************
integer*4 hx%, sx%, esum%, s%, tog%
string errfx$, z$, y$, outstr$
string ustring$
string buffer
integer*2 x
integer*2 hardtot%, cashr%, andisp%, iop%

! ****************************************************************
! ************** Write a string to the ANDISPLAY *****************
! ****************************************************************
sub writeand(wstring$, delay%) public
   string wstring$
   integer*2 delay%
   integer*2 mlen%

   mlen% = len(wstring$)
   if (mlen% < 40) then                  \
   begin
      mlen% = 40 - mlen%
      wstring$ = wstring$ + string$(mlen%, " ")
   endif

   locate #andisp%;1,1
   write #andisp%;wstring$
   if (delay% > 0) then                  \
      wait; delay%
end sub

! ****************************************************************
! ************** Write a string to the printer *******************
! ****************************************************************
sub writeprn(psta%, wstring$) public
   integer*2 psta%
   string wstring$
   integer*2 mlen%

   mlen% = len(wstring$)
   if (mlen% < 38) then                  \
   begin
      mlen% = 38 - mlen%
      wstring$ = wstring$ + string$(mlen%, " ")
   endif

   if (psta% = 2) then                   \
   begin
      write form "c38 a1";#8;wstring$
   endif                                 \
   else if (psta% = 3) then              \
   begin
      write form "c38 a1";#9;wstring$
   endif                                 \
   else                                  \
      write form "c38 a1" ;#cashr% ;wstring$

   wstring$ = ""
end sub

! ****************************************************************
! *********** Determine if pgm is running under TC ***************
! ****************************************************************
function UnderTC%
  integer UnderTC%
  integer*2 ht%

  string ErrMsg$
  string TCSignature$
  on error goto lerrhandler

  ht% = 46

  open "TOTRET:" as ht%

  ! 4690 will error out on this read, TC won't
  read form "C4"; #ht%, 1; TCSignature$
  if (TCSignature$ = "TCTC") then       \
     UnderTC% = 1                       \
  else                                  \
     UnderTC% = 0

  close ht%

  exit function

lerrhandler:
  UnderTC% = 0
  close ht%
  ErrMsg$  = "ERRN:"+str$(errn) + "ERRF:" + str$(errf%)
  call writeprn(1,ErrMsg$)

end function

! ****************************************************************
! ********************** Main Line Start *************************
! ****************************************************************
on error goto mainerr

hardtot% = 45
cashr% = 7
andisp% = 6
iop% = 20

open "ANDISPLAY:" as andisp%

load "ISTBL = R::ADX_IPGM:QVSS@000"
open "IOPROC:" as iop% buffsize 60

open "CR:" as cashr%

open "TOTRET:" as hardtot%

call writeprn(1, "Devices Open")

if (UnderTC%) then begin
  call writeprn(1,"Under TC")
  ustring$ = chr$(7fh) + chr$(0ffh) + chr$(53h) + chr$(43h) \
  + "U11__________________________________________________XXX"
  write form "C60"; #hardtot% , 1; ustring$
  call writeprn(1, "Data Written")
endif                                   \
else                                    \
  call writeprn(1,"Not under TC")

call writeprn(1, "Closing Devices")

close hardtot%
close cashr%
close andisp%
close iop%


goto exitpgm

! ****************************************************************
! *********************** Main Line End **************************
! ****************************************************************



! ****************************************************************
! *********************** Error Handler **************************
! ****************************************************************

MainErr:

hx% = errn
errfx$ = ""
for s%=28 to 0 step -4
   sx% = shift(hx%,s%)
   esum% = sx% and 000fh
   if esum% > 9 then                    \
      esum% = esum%+55                  \
   else                                 \
      esum% = esum%+48
   z$ = chr$(esum%)
   errfx$ = errfx$ + z$
next S%

z$ = err
y$ = str$(errl)
outstr$="ERR:" + z$ + " ERL:" + y$ + string$(11-len(z$)-len(y$)," ")

z$ = str$(errf%)
outstr$=outstr$ + "ERF:" + z$ + " EFX:" + errfx$ + string$(11-len(z$)-len(errfx$)," ")
call writeand(outstr$, 0)

exitpgm:
wait;3000
end

