@rem NOTES:
@rem
@rem This batch file runs the sample program assuming that you're using a
@rem 1.1.8 JDK and that it's installed in c:\jdk1.1.8.  It also assumes that
@rem TSNT is installed on the machine and that the TSNT environment variable is
@rem defined.  It further assumes that you want to user terminal number 1 and
@rem are connecting to a controller with store ID 9814.
@rem If any one of these assumptions is incorrect you'll have
@rem to modify this batch file accordingly.

@rem NOTES: RUNSAMPTS.BAT
@rem
@rem This batch file runs the sample java program.
@rem
@rem Assumptions:
@rem - TSNT is installed on the PC
@rem - The TSNTDIR environment variable is defined.
@rem - The JDK_LOC environment variable is defined and the java libraries
@rem   exist.
@rem - Terminal number is 001.
@rem - Store number is 9814.
@rem If any one of these assumptions is incorrect, modify the bat file accordingly.
@rem
@rem
@rem
@rem Optional runtime parameters
@rem
@rem -t nnn where nnn is a valid terminal number.  The default terminal number is 1.
@rem -s nnnn where nnnn is a store number. The default is to broadcast a request
@rem               and connect to the first TC or TS that responds.  Store number
@rem               is helpful in an environment with multiple controllers
@rem               and store numbers on the LAN.
@rem -a nnn.nnn.nnn.nnn where nnn.nnn.nnn.nnn is the IP address of the PC running TC
@rem               or TS.
@rem -autoc where autoc forces an autoconnect when javasamp is started.  By default,
@rem               javasamp doesn't connect until the user selects Connect and
@rem               Start Term.
@rem -appht gives the hard totals management to the javasamp UI.  By default, TS
@rem               manages the hard totals.  If this option is selected, javasamp
@rem               manages the hard totals in a binary file named totals.txt. The
@rem               first time running with this option selected, the UI will prompt
@rem               for terminal number with Z001.  Key 1xxx S2, where xxx is the
@rem               terminal number. Note that terminal number and store number
@rem               reside in the hard totals file, just like a real POS terminal.
@rem
@rem
@rem Keyboard function key definitions
@rem
@rem Modify keymap.pro to manage the keyboard descriptions and key stem values.
@rem By default, the keyboard is set to work with the Supermarket Application.
@rem At the top of the file, set the variable Prefix to SA, GSA, or CSA to default
@rem to SA(Supermarket Application), GSA (General Sales Application) or CSA (Chain
@rem Drug Application).
@rem
@rem
@rem UI notes:
@rem - To start the UI, run this batch file.  A command window will display tracing
@rem   information and a Java window will appear showing a virtual 2x20 display, a
@rem   50 key keyboard, a cash receipt, and other information.
@rem - If the Java window doesn't appear, verify the environment variable JDK_LOC
@rem   points to a Java directory. JAVASAMP has been tested with jdk1.1.8.  Also
@rem   verify that the environment variable TSNTDIR points to C:\TS_NT and that the
@rem   file c:\TS_NT\bin\qvsrpam.jar exists.
@rem - To connect to TS, use the -autoc runtime option or turn on Connect and click
@rem   on Start Term. The following messages should display:
@rem      Waiting for Online Event
@rem      Terminal Online
@rem      U007
@rem      W008 Program Loading
@rem      SIGN ON     (or messages displayed by the application)
@rem - Events are recorded in the file javasamp.log.
@rem - Don't select 4610 Printer if the application is not designed for 4610 native
@rem   mode.

if %JDK_LOC%. == . set JDK_LOC=z:\jdk1.1.8

%JDK_LOC%\bin\java -classpath %JDK_LOC%\lib\classes.zip;%JDK_LOC%\lib\swingall.jar;%TSNTDIR%\bin\qvsrpam.jar;.\javasamp.jar javasamp.RPADriver
